Scantist CSA: Curated Security Advisory (2 Sep 2021)

Scantist CSA: Curated Security Advisory (2 Sep 2021)

Scantist Admin

Scantist Admin

- Curated Security Advisory

Scantist CSA:
Curated Security Advisory (2 Sep 2021)

Data is crawled between 26 Aug to 1 Sep 2021

Java

Affected Library 1# of CVEs 2Highest CVE Score 3Affected Versions 4
org.cloudfoundry.identity:cloudfoundry-identity-login38.82.2.4 - 2.4.1
org.apache.tomcat:tomcat26.58.5.0 - 8.5.66, 9.0.0.M1 - 9.0.46, 10.0.0-M1 - 10.0.6
apache:ofbiz19.8<17.12.08
org.apache.solr:solr-core17.5<8.8.2
org.webjars.npm:object-path10*0.9.0 - 0.11.4
org.mock-server:mockserver-core19.65.11.2
org.jsoup:jsoup17.5<1.14.2
org.infinispan:infinispan-server-rest18.8<12.0.0.CR1
org.elasticsearch:elasticsearch16.5<6.8.17, 7.0.0-7.13.3
org.eclipse.jetty:jetty-project15.39.4.37 - 9.4.42, 10.0.1 - 10.0.5, 11.0.1 - 11.0.5
org.darkphoenixs:log4j19.8<=1.2.17
org.cloudfoundry.identity:cloudfoundry-identity-common18.8<2.5.2
org.apache.ws.security:wss4j18.82.3.1
org.apache.velocity:velocity-engine-core18.8<=2.2
org.apache.logging.log4j:log4j-core19.8<2.8.2-rc1
com.fasterxml.jackson.core:jackson-databind17.5<2.6.7.4, 2.7.0 - 2.9.10.6, 2.10.0 - 2.10.5
org.apache.camel:camel-management-api17.5< 3.2.0
org.apache.camel:camel-management17.5< 3.2.0
org.apache.camel:camel-main17.5< 3.2.0
org.apache.camel:camel-core-xml17.5< 3.2.0
org.apache.camel:camel-api17.5< 3.2.0
org.apache.activemq:artemis-openwire-protocol17.52.15.0
log4j:log4j19.81.2 - 1.2.17
commons-io:commons-io15.3<2.7
commons-beanutils:commons-beanutils17.3<=1.9.3
com.vaadin:vaadin-checkbox-flow10*1.2.0 - 1.3.2, 2.0.0 - 2.2.2, 3.0.0 - 4.0.1, 14.5.0 - 14.6.7, 18.0.0 - 20.0.5
com.vaadin:vaadin10*12.0.0 - 13.0.13
com.thoughtworks.xstream:xstream18.5<1.4.18
org.wildfly.security:wildfly-elytron15.3<1.16.1.Final


JavaScript

Affected Library 1# of CVEs 2Highest CVE Score 3Affected Versions 4
strapi29.8< 3.0.0-beta.17.8
@openzeppelin/contracts1103.3.0-solc-0.7, 3.4.0-solc-0.7 , 3.4.1-solc-0.7-2, 3.3.0 - 3.4.1 4.0.0 - 4.3.0,
detect-character-encoding17.5<0.7.0
git-parse18.8<=1.0.4
object-path10*<0.11.6
passport-saml10*< 3.1.0
total.js17.5< 3.4.9


Python

Affected Library 1# of CVEs 2Highest CVE Score 3Affected Versions 4
mezzanine16.14.3.1
neutron19.1<=16.4.0, 17.0.0 - 17.1.2, 18.0.0
onefuzz1102.12.0 - 2.31.0
protobuf18.8< 3.4.0
pywps17.5<4.5.0
tensorflow15.5<2.6.0
tensorflow_cpu15.5<2.6.0
tensorflow_gpu15.5<2.6.0


1 Affected Library refers to the open source library that contains newly disclosed CVEs.

2 # of CVEs refers to number of newly disclosed CVEs over the past week.

3 Highest CVE Score refers to the highest CVSS Score amongst the newly disclosed CVEs over the past week. Those omitted in dashes are yet to be determined by MITRE and NVD.

4 Affected versions refers to the versions of affected library that contains the newly disclosed CVEs.



Affected libraries may also exist in your transitive dependencies.

Scantist helps you find and fix your vulnerabilities instantly. Sign up for free and start scanning now.

We support other languages upon request. Subscribe to receive our weekly CSA alerts straight to your inbox.